#!/bin/sh

REGISTRY1=code.balsillie.net
REGISTRY2=registry.balsillie.house
NAMESPACE1=michael/containers
# NAMESPACE2=balsillie
IMAGE=$1

TAG1=$(date +%Y-%m-%d_%H-%M-%S)
TAG2=latest

docker buildx build \
    --tag $REGISTRY1/$NAMESPACE1/$IMAGE:$TAG1 \
    --tag $REGISTRY1/$NAMESPACE1/$IMAGE:$TAG2 \
    --tag $REGISTRY2/$IMAGE:$TAG1 \
    --tag $REGISTRY2/$IMAGE:$TAG2 \
    --file ./$IMAGE/Dockerfile \
    --push \
    ./$IMAGE
